For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
CommunityCreate AccountSign in
  • Overview
    • Welcome
    • Authentication
    • Using Environments
  • API Reference
      • GETList spaces
      • POSTCreate a space
      • GETGet a space
      • DELDelete a space
      • DELDelete spaces
      • PATCHUpdate a space
      • POSTArchives a space
      • POSTUnarchives a space
      • POSTCreate a new guidance
      • GETList guidances
      • GETGet a guidance
      • PATCHUpdate a guidance
      • DELDelete a guidance
      • POSTCreate a draft of a space
      • GETList drafts for a space
      • GETGet a draft
      • POSTMerge a draft
LogoLogo
LogoLogo
CommunityCreate AccountSign in
API ReferenceSpaces

Create a new guidance

POST
https://api.x.flatfile.com/v1/spaces/:spaceId/guidance
POST
/v1/spaces/:spaceId/guidance
$curl -X POST https://api.x.flatfile.com/v1/spaces/us_sp_YOUR_ID/guidance \
> -H "X-Disable-Hooks: true" \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "guideSlug": "getting-started",
> "options": {
> "target": "getting-started",
> "trigger": "first",
> "type": "sidebar",
> "role": "admin"
> }
>}'
1{
2 "id": "us_gd_YOUR_ID",
3 "guideSlug": "getting-started",
4 "options": {
5 "target": "getting-started",
6 "trigger": "first",
7 "type": "sidebar",
8 "role": "admin"
9 },
10 "createdFrom": "us_gd_YOUR_ID",
11 "lastPropagatedAt": "2023-10-30T16:59:45.735Z"
12}
Creates a new guidance
Was this page helpful?
Previous

List guidances

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

spaceIdstringRequired
ID of the space

Headers

X-Disable-Hooks"true"Required

Request

This endpoint expects an object.
guideSlugstringRequired
optionsobjectRequired
Options for the guidance

Response

This endpoint returns an object.
idstring
Guidance ID
guideSlugstring
optionsobject
createdFromstring
The guidance id of the template that was used to create this guidance
lastPropagatedAtdatetime
The last time the guidance template configuration was propagated to this guidance

Errors

400
Bad Request Error
403
Forbidden Error
404
Not Found Error